<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div *ngIf="error$ | async as err; else noError" class="w-screen h-dvh flex flex-col items-center justify-center">
  <div *ngIf="err == 'Healthcheck failed'; else generalError">
    <div class="container text-center">
      <div>{{ err }}</div>
      <div class="mt-4">
        <app-accept-ssl></app-accept-ssl>
      </div>
      <div class="py-4">
        <app-divider></app-divider>
      </div>
      <div class="mt-2">See console for more information.</div>
    </div>
  </div>
  <ng-template #generalError>
    <div class="container text-center">{{ err }}. See console for more information.</div>
  </ng-template>
</div>
<ng-template #noError>
  <ng-content></ng-content>
</ng-template>
